function checkTel() {
    var _oForm = document.forms[0];
    _oReg = /^[0-9]{11,11}$/,
						_oRegErr = /(^[\.\-_])|([\.\-_]$)/,
						_oRegErr2 = /[\.\-_][\.\-_]/,
                        _oRegErr3 = /^((\(\d{2,3}\))|(\d{3}\-))?1[3,4,8,5]{1}\d{9}$/,
						_bInvalid = false,
						_sMsg = "";
    if (_oForm.mobile.value == "") {
        _bInvalid = true;
        _sMsg = "请填写手机号";
    }
    else if (_oForm.mobile.value.length < 11) {
        _bInvalid = true;
        _sMsg = "手机号长度不对";
    }
    else if (!_oReg.test(_oForm.mobile.value)) {
        _bInvalid = true;
        _sMsg = "手机号格式错误";
    }
    else if (_oRegErr.test(_oForm.mobile.value)) {
        _bInvalid = true;
        _sMsg = "手机号格式错误";
    }
    else if (_oRegErr2.test(_oForm.mobile.value)) {
        _bInvalid = true;
        _sMsg = "手机号格式错误";
    }
    else if (!_oRegErr3.test(_oForm.mobile.value)) {
        _bInvalid = true;
        _sMsg = "手机号格式错误";
    }
    if (_bInvalid) {
        $("#msg_tel_err").html(_sMsg);
        $("#msg_tel_err").css("display", "block");
        $("#msg_tel_err").css("color", "red");
        $("#msg_tel_ok").css("display", "none");
        $("#mobile").focus();
        return false;
    }
    else {
        $("#msg_tel_err").css("display", "none");
        $("#msg_tel_ok").css("display", "block");
        return true;
    }
}